## python-happybase 0.6

=== debian/changelog ===
python-happybase (0.6-1ubuntu1~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Oct 2013 14:06:20 -0400

python-happybase (0.6-1ubuntu1) saucy; urgency=low

  * debian/control: Dropped python-nosexcover its not being used
    by the tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Oct 2013 13:33:37 -0400

python-happybase (0.6-1) unstable; urgency=low

  * New upstream release (Closes: #712971).
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:56:42 +0800

python-happybase (0.4-4) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 04:59:48 +0000

python-happybase (0.4-3) experimental; urgency=low

  * Added missing licensing information for the Hbase things.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2013 14:04:17 +0800

python-happybase (0.4-2) experimental; urgency=low

  * Added missing build-depends: python-sphinx.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2013 18:02:13 +0000

python-happybase (0.4-1) experimental; urgency=low

  * Initial release (Closes: #703435).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2013 21:44:20 +0800

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/wbolster/happybase.git

include /usr/share/openstack-pkg-tools/pkgos.make

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@  --with python2

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python-happybase; \
	done

override_dh_auto_test:
	echo "Tests disabled: FIXME!"

## python-happybase 0.7

=== Makefile ===
.PHONY: all doc test clean

all: doc clean

doc:
	python setup.py build_sphinx
	@echo
	@echo Generated documentation: "file://"$$(readlink -f doc/build/html/index.html)
	@echo

test:
	-find coverage/ -mindepth 1 -delete
	python $$(which nosetests) $${TESTS}

clean:
	find . -name '*.py[co]' -delete

dist: test
	python setup.py sdist

=== debian/changelog ===
python-happybase (0.7-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:51:45 +0000

python-happybase (0.7-1) unstable; urgency=low

  * New upstream release (Closes: #730368).
  * Drops python-nosexcover as its not being used by the tests.
  * Do not build-depends on openstack-pkg-tools anymore.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Oct 2013 22:59:58 +0800

=== debian/control ===
Source: python-happybase
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-coverage,
                     python-nose,
                     python-sphinx,
                     python-thrift
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-happybase.git
Vcs-Git: git://anonscm.debian.org/openstack/python-happybase.git
Homepage: https://github.com/wbolster/happybase

Package: python-happybase
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: developer-friendly Python library to interact with Apache HBase
 HappyBase is a developer-friendly Python library to interact with Apache HBase.
  * Documentation: http://happybase.readthedocs.org/
  * HBase: http://hbase.apache.org/

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/h/happybase happybase-(.*).tar.gz

## python-happybase 0.8

=== requirements.txt ===
thrift>=0.8.0

=== debian/changelog ===
python-happybase (0.8-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:46:16 +0000

python-happybase (0.8-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 06:21:23 +0000

python-happybase (0.8-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2014 00:36:44 +0800

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                      python-nose,
                      python-sphinx,
                      python-thrift
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-happybase.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-happybase.git
+Standards-Version: 3.9.5
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-happybase?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-happybase -b debian/newton
 Homepage: https://github.com/wbolster/happybase
 
 Package: python-happybase

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,8 @@
 
 #export DH_VERBOSE=1
 
-UPSTREAM_GIT = git://github.com/wbolster/happybase.git
-
-include /usr/share/openstack-pkg-tools/pkgos.make
+UPSTREAM_GIT := https://github.com/wbolster/happybase.git
+-include /usr/share/openstack-pkg-tools/pkgos.make
 
 PYTHONS:=$(shell pyversions -vr)

## python-happybase 1.1.0

=== requirements.txt ===
six
thriftpy>=0.3.8

=== debian/changelog ===
python-happybase (1.1.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get orig tarball from pypi.debian.net.
  * New upstream release (LP: #1770858).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Jun 2018 15:07:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-happybase
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>,
@@ -14,8 +15,8 @@
                      python-sphinx,
                      python-thrift
 Standards-Version: 3.9.5
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-happybase?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-happybase -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-happybase
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-happybase
 Homepage: https://github.com/wbolster/happybase
 
 Package: python-happybase

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/happybase/happybase-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
